Subject: Offline Message from Musaab Alammar: Dear MumzWorld Support, My Order (#1001
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 23 Jul 2020 00:46:15 -0000

From: Musaab Alammar <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/sales/order/history/
Department: 

Dear MumzWorld Support,

My Order (#100170468) is delivered by DHL to a wrong person and I didn't receive the shipment at all, also I didn't receive any calls from DHL at all.

The shipping address is 100% accurate and my phone number is correct.

Please, take it with your carrier (DHL) to find out a solution for me soonest possible and BTW the one who received the shipment , as per DHL tracking, is Majed and my name is Musaab !

Please, I'm really looking for your action here, this shipment worth 3575 SR !

Thank you ...

----
Zopim
https://www.zopim.com